Skip to main content
Version: V3.0

Visitor Management API


Get Visitor Temp Key List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
visitor_temp_key_idStringBodyVisitor temp key ID
visitor_temp_key_nameStringBodyVisitor temp key name
visitor_temp_key_numberStringBodyVisitor temp key number
qr_code_urlStringBodyQR code URL
device_validity_countStringBodyDevice validity count
visitor_identity_numberStringBodyVisitor identity number
repeat_modeStringBodyRepeat mode, never or daily or weekly
available_days[]StringBodyAvailable days
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
created_timeStringBodyCreated time, UTC
creatorStringBodyCreator

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_visitor_temp_key_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"visitor_temp_key_id": "vr2c4b070cc928496198944858b344fc6",
"visitor_temp_key_name": "test",
"visitor_temp_key_number": "93014275",
"qr_code_url": "https://test.akubela.com/a.png",
"device_validity_count": "",
"visitor_identity_number": "123456",
"repeat_mode": "weekly",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"start_time": "13:14:00",
"finish_time": "15:14:00",
"created_time": "2024-01-25 21:10:16",
"creator": "pm"
}
]
}

Failure Return Example

See Failure Return Example



Get Visitor Temp Key Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
visitor_temp_key_idStringBodyYesVisitor temp key ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
visitor_temp_key_nameStringBodyVisitor temp key name
visitor_temp_key_numberStringBodyVisitor temp key number
qr_code_urlStringBodyQR code URL
device_validity_countStringBodyDevice validity count
visitor_identity_numberStringBodyVisitor identity number
residence_idStringBodyResidence ID
family_nameStringBodyFamily name
residence_noStringBodyResidence number
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
repeat_modeStringBodyRepeat mode, never or daily or weekly
available_days[]StringBodyAvailable days
start_timeStringBodyStart time, UTC
finish_timeStringBodyFinish time, UTC
created_timeStringBodyCreated time, UTC
creatorStringBodyCreator
devices[]Object<device>BodyDevice Information

device description

Parameter NameTypeLocationDescription
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
device_idStringBodyDevice ID
device_nameStringBodyDevice name
macStringBodyMAC
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
device_typeStringBodyDevice type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control
relays[]Object<relay>BodyRelay information
security_relays[]Object<relay>BodySecurity relay information

relay description

Parameter NameTypeLocationDescription
relay_nameStringBodyRelay name
relay_numberStringBodyRelay number
relay_idStringBodyRelay ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_visitor_temp_key_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"visitor_temp_key_id": "vr2c4b070cc928496198944858b344fc6",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"visitor_temp_key_name": "test",
"visitor_temp_key_number": "93014275",
"qr_code_url": "https://test.akubela.com/a.png",
"device_validity_count": "",
"visitor_identity_number": "123456",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"repeat_mode": "weekly",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"start_time": "13:14:00",
"finish_time": "15:14:00",
"created_time": "2024-01-25 21:10:16",
"creator": "pm",
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"device_type": "Multi-tenants Doorphone",
"security_relays": [],
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
]
}

Failure Return Example

See Failure Return Example



Get Visitor Temp Key Device List

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
building_idStringBodyBuilding ID
building_nameStringBodyBuilding name
device_idStringBodyDevice ID
device_nameStringBodyDevice name
macStringBodyMAC
onlineBooleanBodyWhether the device is online or not?
true: online
false: offline
device_typeStringBodyDevice type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control
relays[]Object<relay>BodyRelay information
security_relays[]Object<relay>BodySecurity relay information

relay description

Parameter NameTypeLocationDescription
relay_nameStringBodyRelay name
relay_numberStringBodyRelay number
relay_idStringBodyRelay ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_visitor_temp_key_device_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "test",
"mac": "C10519082089",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"online": true,
"device_type": "Multi-tenants Doorphone",
"security_relays": [],
"relays": [
{
"relay_name": "Front Door 3",
"relay_number": "#",
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}

Failure Return Example

See Failure Return Example



Create Visitor Temp Key Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
visitor_temp_key_nameStringBodyYesVisitor temp key name
device_validity_countStringBodyNoDevice validity count
visitor_identity_numberStringBodyNoVisitor identity number
notice_emailStringBodyNoNotice email
residence_idStringBodyYesResidence ID
family_nameStringBodyYesFamily name
residence_noStringBodyYesResidence number
building_idStringBodyYesBuilding ID
building_nameStringBodyYesBuilding name
repeat_modeStringBodyYesRepeat mode, never or daily or weekly
available_days[]StringBodyNoAvailable days
start_timeStringBodyYesStart time, UTC
finish_timeStringBodyYesFinish time, UTC
devices[]Object<device>BodyYesDevice Information

device description

Parameter NameTypeLocationRequiredDescription
building_idStringBodyYesBuilding ID
device_idStringBodyYesDevice ID
macStringBodyYesMAC
relays[]Object<relay>BodyYesRelay information
security_relays[]Object<relay>BodyYesSecurity relay information

relay description

Parameter NameTypeLocationRequiredDescription
relay_idStringBodyYesRelay ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObject<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
visitor_temp_key_idStringBodyVisitor temp key ID

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "create_visitor_temp_key_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"visitor_temp_key_name": "test",
"device_validity_count": "",
"visitor_identity_number": "123456",
"notice_email": "test@akubela.com",
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"repeat_mode": "weekly",
"available_days": [
"Monday",
"Tuesday",
"Wednesday",
"Thursday",
"Friday",
"Saturday",
"Sunday"
],
"start_time": "13:14:00",
"finish_time": "15:14:00",
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"mac": "C10519082081",
"security_relays": [],
"relays": [
{
"relay_id": "r4b5a73f8dd84abaa94dcs248be49b0d2"
}
]
}
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {
"visitor_temp_key_id": "v2a621c1ae77040d697bd2134700f57ea"
}
}

Failure Return Example

See Failure Return Example



Delete Visitor Temp Key Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
visitor_temp_key_idStringBodyYesVisitor temp key ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "delete_visitor_temp_key_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p31adc223cc4b3bedb6bd4742dedcfa52",
"visitor_temp_key_id": "vrbr2c4b070cc928496198944858b344f"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Batch Delete Visitor Temp Key Information

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
visitor_temp_keys[]Object<visitor_temp_key>BodyYesVisitor temp key information

visitor_temp_key description

Parameter NameTypeLocationRequiredDescription
visitor_temp_key_idStringBodyYesVisitor temp key ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "batch_delete_visitor_temp_key_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "p01adc223cc4b3bedb6bd4742dedcfa52",
"visitor_temp_keys": [
{
"visitor_temp_key_id": "v8b5a73f8dd84abaa94dcs248be49b0d1"
}
]
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example



Get Visitor Temp Key History

Request URL

POST /api/v1.0/invoke/open-ability/method/manager-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
project_idStringBodyYesProject ID
page_sizeIntegerBodyYesPage size
page_indexIntegerBodyYesPage index
visitor_temp_key_idStringBodyYesVisitor temp key ID

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
result[]Object<result>BodyReturn result

result description

Parameter NameTypeLocationDescription
open_doorBooleanBodyWhether the door opening is successful or not?
true: success
false: failure
account_nameStringBodyAccount name
device_nameStringBodyDevice name
capture_thumbnail_urlStringBodyCapture thumbnail URL
open_door_typeStringBodyOpen door type
capture_picture_urlStringBodyCapture picture URL
open_door_timeStringBodyOpen door time
residence_noStringBodyResidence number
building_nameStringBodyBuilding name
record_typeStringBodyRecord type
numberStringBodyNumber

Request Example

POST /api/v1.0/invoke/open-ability/method/manager-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "get_visitor_temp_key_history",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"visitor_temp_key_id": "vr2c4b070cc928496198944858b344fc6",
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"open_door_time": "2020-05-18 15:25:45",
"building_name": "test",
"device_name": "device",
"account_name": "tom",
"residence_no": "121",
"record_type": "open door",
"open_door_type": "temp key",
"number": "12314134",
"open_door": true,
"capture_thumbnail_url": "https://test.akubela.com/r.jpg",
"capture_picture_url": "https://test.akubela.com/d.jpg"
}
]
}

Failure Return Example

See Failure Return Example